main();
function main(){
	//Make certain that user interaction (display of dialogs, etc.) is turned on.
	app.scriptPreferences.userInteractionLevel = UserInteractionLevels.interactWithAll;
	if(app.documents.length != 0){
		if(app.selection.length != 0){
			//Get the first item in the selection.
			var mySelection = app.selection[0];
			//Process the selection. If text or a text frame is 
			//selected, do something; otherwise, do nothing.
			switch(mySelection.constructor.name){
				case "Text":
				case "InsertionPoint":
				case "Character":
				case "Word":
				case "Line":
				case "TextStyleRange":
				case "Paragraph":
				case "TextColumn":
				case "TextFrame":
          if(mySelection.parentStory.textContainers.length >= 1) {
						update_panels(mySelection.parentStory);
          } else {
            alert("Too many or not enough containers.");
          }
					break;
				default:
					alert("Please select some text or a text frame and try again.");
			}
		}
		else{
			alert("Please select some text or a text frame and try again.");
		}
	}
	else{
		alert("Please open a document and try again.");
	}
}


function update_panels(myStory){

app.changeGrepPreferences = NothingEnum.nothing;
app.findGrepPreferences = NothingEnum.nothing;
app.findGrepPreferences.findWhat = '^(.*?)\t(.*?)\t(.*?)\t(.*?)\t(.*?)$';
//app.findGrepPreferences.findWhat = '<' + charstyle + '>' + '(.+?)</' + charstyle + '>';
app.changeGrepPreferences.changeTo = '$1\n2222ZZ$2~y$3\n3333ZZ$4\n~y4444ZZ$5\n';
app.changeGrepPreferences.appliedCharacterStyle = "Panel Title";
myStory.changeGrep();
app.changeGrepPreferences = NothingEnum.nothing;
app.findGrepPreferences = NothingEnum.nothing;

//TIME AND ROOM
app.findGrepPreferences.findWhat = '^2222ZZ(.*?)~y(.*?)$';
app.changeGrepPreferences.changeTo = '$1~y$2';
app.changeGrepPreferences.appliedCharacterStyle = "Panel Time";
myStory.changeGrep();
app.changeGrepPreferences = NothingEnum.nothing;
app.findGrepPreferences = NothingEnum.nothing;

//DESCRIPTION
app.findGrepPreferences.findWhat = '^3333ZZ(.*?)$';
app.changeGrepPreferences.changeTo = '$1';
app.changeGrepPreferences.appliedCharacterStyle = "Panel Description";
myStory.changeGrep();
app.changeGrepPreferences = NothingEnum.nothing;
app.findGrepPreferences = NothingEnum.nothing;

//PANEL HOST
app.findGrepPreferences.findWhat = '^~y4444ZZ(.*?)$';
app.changeGrepPreferences.changeTo = '~y$1';
app.changeGrepPreferences.appliedCharacterStyle = "Panel Host";
myStory.changeGrep();
app.changeGrepPreferences = NothingEnum.nothing;
app.findGrepPreferences = NothingEnum.nothing;



}
